classification
Title: Document gzip command line interface
Type: Stage: resolved
Components: Documentation Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, mdk, xtreak
Priority: normal Keywords: patch

Created on 2018-10-06 07:06 by xtreak, last changed 2018-10-10 06:44 by mdk. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 9782 merged matrixise, 2018-10-09 22:59
Messages (2)
msg327230 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python triager) Date: 2018-10-06 07:06
gzip supports command line interface with `python -m gzip` like zipfile and tarfile but there is no help available from the command line which can be covered when issue23596 is merged that uses argparse along with tests for which are also lacking at the moment. There can be at least docs about command line arguments at https://docs.python.org/3/library/gzip.html. Currently there is no way to know how the command line interface works for gzip without looking at the source code.
msg327456 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2018-10-10 06:28
New changeset 7c817e620be9013466d4dd008a2f1dbffcf7517e by Julien Palard (Stéphane Wirtel) in branch 'master':
bpo-34913: Document gzip command line interface (GH-9782)
https://github.com/python/cpython/commit/7c817e620be9013466d4dd008a2f1dbffcf7517e
History
Date User Action Args
2018-10-10 06:44:38mdksetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-10-10 06:28:32mdksetnosy: + mdk
messages: + msg327456
2018-10-09 22:59:25matrixisesetkeywords: + patch
stage: patch review
pull_requests: + pull_request9168
2018-10-06 07:06:04xtreakcreate